Bug 104582 - traceback while trying to log
traceback while trying to log
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-09-17 11:42 EDT by Michael K. Johnson
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 17:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 2003-09-17 11:42:35 EDT
I was using up2date, and it seemed to hang (that is, wouldn't redraw
the display) for a long time in the package retrieval stage.  I finally
got the following traceback:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1862, in doRetrieval
  File "/usr/share/rhn/up2date_client/up2date.py", line 330, in getPackage
    buffer = rpcServer.doCall(repos.getPackage, pkg, msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 143, in doCall
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 137, in updateLoginInfo
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 112, in login
    loginInfo = rpcServer.doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 117, in doCall
    log.log_me("A socket error occurred: %s, attempt #%s" % (
  File "/usr/share/rhn/up2date_client/up2dateLog.py", line 31, in log_me
  File "/usr/share/rhn/up2date_client/up2dateLog.py", line 42, in write_log
    log_file = open(log_name, 'a')
IOError: [Errno 24] Too many open files: '/var/log/up2date'

Looking in /proc/<pid>/fd, I only see 8 file descriptors open, but
of course this is after the fact.
Comment 1 Mihai Ibanescu 2003-09-17 11:50:48 EDT
rpm -q up2date
rpm -q rhnlib

Comment 2 Michael K. Johnson 2003-09-17 15:26:03 EDT
$ rpm -q up2date
$ rpm -q rhnlib

Note You need to log in before you can comment on or make changes to this bug.